
body {
    min-height: 1000px;
}
#columns {
    column-width: 20vw;
    column-gap: 15px;
    width: 90%;
    max-width: 1100px;
    margin: 50px auto;
}

div#columns figure {
    position: relative;
    background: #fefefe;
    border: 2px solid #fcfcfc;
    box-shadow: 0 1px 2px rgba(34, 25, 25, 0.4);
    margin: 0 2px 15px;
    padding: 15px;
    padding-bottom: 10px;
    transition: opacity .4s ease-in-out;
    display: inline-block;
    column-break-inside: avoid;
}

div#columns figure img {
    width: 100%; height: auto;
    border-bottom: 1px solid #ccc;
    padding-bottom: 15px;
    margin-bottom: 5px;
}

div#columns figure figcaption {
    font-size: .9rem;
    color: #444;
    line-height: 1.5;
}
.block_buttons{
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 5px;
    height: 30px;
}
.block_buttons_shop{
    display: grid;
    grid-template-columns: 1fr;
    height: 30px;
}
.block_buttons .button,
.block_buttons_shop .button{
    justify-content: center;
    align-content: center;
    width: 100%;
    height: 100%;
    color: var(--fon);
}
.btn_dark{
    background-color: var(--fondark)
}
.btn_dark:hover{
    background-color: var(--fon);
    color: var(--fondark);text-transform: uppercase;
}
.btn_light{
    background-color: var(--fon2)
}
.btn_light:hover{
    background-color: var(--fon);
    color: var(--fon2);text-transform: uppercase;
}
div#columns small { 
    position: absolute;
    bottom: 85px;
    left: 16px;
    background-color: #000000bf;
    padding: 10px 20px;
    font-size: 1rem;
    float: right;
    text-transform: uppercase;
    color: #aaa;
} 

div#columns small a { 
    color: #666; 
    text-decoration: none; 
    transition: .4s color;
}

div#columns:hover figure:not(:hover) {
    opacity: 0.7;
}

@media screen and (max-width: 660px){
    #columns {
        column-width: 27vw;
    }
}
@media screen and (max-width: 500px){
    #columns {
        column-width: 39vw;
    }
}
@media screen and (max-width: 750px) { 
    #columns { column-gap: 0px; }
    #columns figure { width: 100%; }
}